<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <title>{% block title %} {% endblock %}</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'home' %}">Cabinet de psihologie</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" aria-current="page" href="{% url 'home' %}">Home</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" href="{% url 'create_contact' %}">Contact</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'programeaza_te' %}">Programeaza-te acum</a>
                </li>
                {% if user.is_authenticated %}
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            Selecteaza testul tau
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            {% for test in all_tests %}
                            <li><a class="dropdown-item" href="{% url 'complete_test' test.id %}">{{ test.title }}</a></li>
                            {% endfor %}
                        </ul>
                    </li>
                {% endif %}
            </ul>
        </div>
        <div>
            {% if user.is_authenticated %}
                <a class="btn btn-danger" href="{% url 'logout' %}">Delogheza-te, {{ request.user.username }}</a>
            {% else %}
                <a class="btn btn-success" href="{% url 'login' %}">Autentificare</a>
            {% endif %}
        </div>
    </div>
</nav>
{% block content %}
{% endblock %}

</body>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js"></script>
</html>